C     PROGRAM XYZTOASC
C     CONVERTS UNFORMATTED XYZ FILE TO ASCII XYZ FILE
C
      CHARACTER*56 NAME,NAME1
      WRITE(*,1000)
 1000 FORMAT(' ENTER INPUT FILE NAME: '$)
      READ(*,1100) NAME
 1100 FORMAT(A)
      OPEN(8,FILE=NAME,STATUS='OLD',FORM='UNFORMATTED')
      WRITE(*,1150)
 1150 FORMAT(' ENTER OUTPUT FILE NAME: '$)
      READ(*,1100) NAME1
      OPEN(9,FILE=NAME1,STATUS='UNKNOWN')
   10 READ(8,END=15) X,Y,Z
      ICOUNT=ICOUNT+1
      WRITE(9,*) X,Y,Z
 1200 FORMAT(3f11.5)
      GO TO 10
   15 WRITE(*,20)ICOUNT
   20 FORMAT(' THERE WERE ',I10,' DATA POINTS PROCESSED',//)
      CLOSE(8)
      STOP
      END
